Subject: bug#25802: closed (Re: bug#25802: Unable to run dovecot w/ non-opaque configuration)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Apr 2017 23:51:02 +0000

Your bug report

#25802: Unable to run dovecot w/ non-opaque configuration

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25802: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25802
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25802: Unable to run dovecot w/ non-opaque configuration
From: Clément Lassieur <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Andy Wingo <[email-masked]>, Bake Timmons <[email-masked]>, [email-masked]
Date: Sun, 23 Apr 2017 01:50:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi Bake,
>
> Bake Timmons <[email-masked]> skribis:
>
>> Trying to reconfigure my system running guix 0.12.0 for dovecot with
>> the default configuration object created by '(dovecot-configuration)'
>> results in:
>>
>> guix system: error: exception thrown: #<condition %compound [message: "Invalid value for field path: \"lmtp\""] 4a6a140>
>>
>> Adding a services list to the above works around the above error and
>> allows 'guix system reconfigure' to complete successfully.  However,
>> the generated dovecot.conf is rejected by doveconf:
>>
>> doveconf: Error in configuration file /gnu/store...dove.cot.conf line 1: Expecting '{'
>>
>>>>From my limited acquaintance with dovecot, the guix-generated syntax of, say,
>> ImapMaxLineLength 64000
>>
>> disagrees with what I gather to be the normal dovecot.conf syntax of
>> imap_max_line_length = 64000
>
> Clément, Andy: WDYT?  :-)
>
> I suspect commit 56aef188a2a014e254d3c93c8a79cd1fb5a1ece6 by Clément
> might have fixed the syntax issue reported here.

Indeed this has been fixed, I'm closing the bug.  Bake, if you still
reproduce after making sure you're up-to-date, do not hesitate to
re-open. :)

Clément

Subject: Unable to run dovecot w/ non-opaque configuration
From: Bake Timmons <[email-masked]>
To: [email-masked]
Date: Sun, 19 Feb 2017 17:20:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Trying to reconfigure my system running guix 0.12.0 for dovecot with
the default configuration object created by '(dovecot-configuration)'
results in:

guix system: error: exception thrown: #<condition %compound [message: "Invalid value for field path: \"lmtp\""] 4a6a140>

Adding a services list to the above works around the above error and
allows 'guix system reconfigure' to complete successfully.  However,
the generated dovecot.conf is rejected by doveconf:

doveconf: Error in configuration file /gnu/store...dove.cot.conf line 1: Expecting '{'

>From my limited acquaintance with dovecot, the guix-generated syntax of, say,
ImapMaxLineLength 64000

disagrees with what I gather to be the normal dovecot.conf syntax of
imap_max_line_length = 64000

Thanks for your consideration!

Bake
-- 
  Bonard B. Timmons III
  [email-masked]

-- 
http://www.fastmail.com - Access your email from home and the web